Skip to main content
GET
List cohorts

Authorizations

x-api-key
string
header
required

API key for authentication. Generate keys in the Doozy dashboard.

Query Parameters

limit
integer
default:25

Maximum number of cohorts to return (1-100, default 25)

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination: the last cohort ID from the previous page

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
program_id
string

Only cohorts in this program

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
status
enum<string>

Only cohorts with this status. Defaults to upcoming and active.

Available options:
upcoming,
active,
completed,
archived,
skipped
Example:

"upcoming"

Response

List of cohorts

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required